#ifndef LIBWCCL_VALUES_BOOL_H
#define LIBWCCL_VALUES_BOOL_H

#include <libwccl/values/value.h>

namespace Wccl {

class Bool : public Value
{
public:
	WCCL_VALUE_PREAMBLE

	explicit Bool(bool v = false)
		: val_(v)
	{
	}

	bool get_value() const {
		return val_;
	}

	void set_value(bool v) {
		val_ = v;
	}

	bool equals(const Bool& other) {
		return val_ == other.val_;
	}

	/// Value override
	std::string to_raw_string() const {
		return val_ ? "true" : "false";
	}

private:
	bool val_;
};

} /* end ns Wccl */

#endif // LIBWCCL_VALUES_BOOL_H
